version: "3"
services:
  bookstack:
    image: linuxserver/bookstack:latest
    container_name: {{ name_docker }}
    hostname: {{ name_docker }}
    volumes:
      - ./config:/config
    environment:
      - APP_URL=https://wiki.{{domaine_ext}}
      - PGID=1000
      - PUID=1000
      - DB_HOST=bookstack-db
      - DB_DATABASE=bookstack
      - DB_USERNAME=bxlife
      - DB_PASSWORD=3aslZpYfZ0j8nEbz
      - DISCORD_APP_ID=1294769940171067413
      - DISCORD_APP_SECRET=UdI8nbpOzk9LuAV2qxn6sMVdOI_XptZ3
      - APP_LANG=fr
      - APP_THEME="custom"

 #     - MAIL_ENCRYPTION=
    #   - MAIL_FROM_NAME=
    #  - MAIL_FROM=
    #   - MAIL_PORT=
    #   - MAIL_PASSWORD=
    #   - MAIL_USERNAME=
    #   - MAIL_HOST=
      - FILE_UPLOAD_SIZE_LIMIT=999
      - APP_DEFAULT_DARK_MODE=true
      - ALLOWED_IFRAME_SOURCES="*"
    ports:
      - 10003:443
      - 10004:80
    restart: always
    depends_on:
      - bookstack-db
  bookstack-db:
        image: mariadb:10.3
        container_name: bookstack-db
        environment:
        - PUID=1000
        - PGID=1000
        - MYSQL_ROOT_PASSWORD=g6u3h9QWAGE9Q8
        - TZ=Europe/Paris
        - MYSQL_DATABASE=bookstack
        - MYSQL_USER=bxlife
        - MYSQL_PASSWORD=3aslZpYfZ0j8nEbz
        volumes:
        - ./mysql:/var/lib/mysql
        restart: always